# Generated from ssrf_proxy-0.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ssrf_proxy

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 1%{?dist}
Summary: SSRF Proxy facilitates tunneling HTTP communications through servers vulnerable to SSRF
License: MIT
URL: https://github.com/bcoles/ssrf_proxy
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2.2
# BuildRequires: rubygem(coveralls) >= 0.8.21
# BuildRequires: rubygem(coveralls) < 0.9
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-reporters) >= 1.1
# BuildRequires: rubygem(minitest-reporters) < 2
# BuildRequires: rubygem(rubocop) >= 0.52
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(simplecov) >= 0.14
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(terminal-table) >= 1.6
# BuildRequires: rubygem(terminal-table) < 2
# BuildRequires: rubygem(typhoeus) >= 1.3
# BuildRequires: rubygem(typhoeus) < 2
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
SSRF Proxy is a multi-threaded HTTP proxy server designed to tunnel client
HTTP traffic through HTTP servers vulnerable to HTTP Server-Side Request
Forgery (SSRF).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/ssrf-proxy
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 0.0.4-1
- Initial package
